import { useState, useEffect } from 'react';
import { loadData } from './loadData.js';
import { csvParse } from 'd3';

import { feature, mesh } from 'topojson';

const topoJsonUrl =
  'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    loadData(topoJsonUrl).then((topology) => {
      const { countries } = topology.objects;
      const interiors = mesh(topology, countries, (a, b) => a !== b )
      
      setData({countries: feature(topology, countries), interiors });
    });
  }, []);
  
  console.log(data)

  return data;
};
